aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-16 19:59:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-16 19:59:01 +0000
commit32b2f046ae96d9305696f7eb3877e07b17cd885b (patch)
tree6ef19d0b85b07896d8c814cf5ff73cb9ddac8f92
parent5e0ca3fc2331138a06d9c6fc3d05ac272cdf2af5 (diff)
downloadaports-32b2f046ae96d9305696f7eb3877e07b17cd885b.tar.gz
aports-32b2f046ae96d9305696f7eb3877e07b17cd885b.tar.bz2
aports-32b2f046ae96d9305696f7eb3877e07b17cd885b.tar.xz
x11/libxrender: new aport
X Rendering Extension client library
-rw-r--r--x11/libxrender/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/libxrender/APKBUILD b/x11/libxrender/APKBUILD
new file mode 100644
index 0000000000..4cdba7287a
--- /dev/null
+++ b/x11/libxrender/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxrender
+pkgver=0.9.4
+pkgrel=0
+pkgdesc="X Rendering Extension client library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev"
+depends="libX11 uclibc"
+makedepends="pkgconfig libX11-dev renderproto"
+source="http://xorg.freedesktop.org//releases/individual/lib/libXrender-$pkgver.tar.bz2"
+
+depends_dev="xproto renderproto libX11-dev"
+build() {
+ cd "$srcdir"/libXrender-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="dc266e850c51368f964e0d67bf5fb5e6 libXrender-0.9.4.tar.bz2"